Ask a Question

Android application is treated by TestComplete as uninstrumented for Android 10 virtual device

SOLVED
ovmold
Occasional Contributor

Android application is treated by TestComplete as uninstrumented for Android 10 virtual device

Hello! 

I'd like to test an Android application by TestComplete 14.20.2175.7 using the Android Emulator with Android 10 (API 29). The TestComplete Android Agent has been installed. The application has been instrumented. But when testing the TestComplete cannot find UI objects (such as Buttons, TextFields, etc.), i.e. it treats the application as uninstrumented.

The same application is tested successfully by TestComplete with older Android versions. Does it mean that Android 10 is not supported by TestComplete 14.20.2175.7?

 

Thanks in advance.

 

5 REPLIES 5
Marsha_R
Community Hero

According to this page, it is supported

https://support.smartbear.com/testcomplete/docs/app-testing/mobile/android/about.html


Marsha_R
[Community Hero]
____
[Community Heroes] are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Posts made by [Community Heroes]
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
The [Community Hero] signature is used with permission by SmartBear Software.
https://community.smartbear.com/t5/custom/page/page-id/hall-of-fame
ovmold
Occasional Contributor

Yes, I know that it should be supported. But maybe there are some additional conditions of its support or requirements to virtual devices, etc. 

ovmold
Occasional Contributor

Maybe the problem is in the TestComplete version.

ovmold_0-1598435119153.png

I see such warning when installing the TestComplete Android Agent on the virtual device.

So, the TestComplete Android Agent supplied by the TestComplete 14.20 was not built for Android 10.

Then what version of the TestComplete is needed for correct working with Android 10 devices?

If you look a little closer on that requirements page, you will see that you can check earlier versions of TestComplete requirements by clicking on the version number link.  The answer to your question is in there.

 

Marsha_R_0-1598454202247.png

 


Marsha_R
[Community Hero]
____
[Community Heroes] are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Posts made by [Community Heroes]
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
The [Community Hero] signature is used with permission by SmartBear Software.
https://community.smartbear.com/t5/custom/page/page-id/hall-of-fame
ovmold
Occasional Contributor

In other words TestComplete 14.20 does not support API level 29. 

Thank you for your help!

cancel
Showing results for 
Search instead for 
Did you mean: